Package: org.codehaus.groovy.grails.resolve.maven.aether.support

## [Groovy] Class GrailsConsoleLogger

- org.codehaus.groovy.grails.resolve.maven.aether.support.GrailsConsoleLogger

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.codehaus.plexus.logging.AbstractLogger` | `LEVEL_DEBUG, LEVEL_INFO, LEVEL_WARN, LEVEL_ERROR, LEVEL_FATAL, LEVEL_DISABLED`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsConsole` | `grailsConsole`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsConsoleLogger (int threshold)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `debug(java.lang.String message, java.lang.Throwable throwable)`
    `void` | `error(java.lang.String message, java.lang.Throwable throwable)`
    `void` | `fatalError(java.lang.String message, java.lang.Throwable throwable)`
    `org.codehaus.plexus.logging.Logger` | `getChildLogger(java.lang.String name)`
    `void` | `info(java.lang.String message, java.lang.Throwable throwable)`
    `void` | `warn(java.lang.String message, java.lang.Throwable throwable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.codehaus.plexus.logging.AbstractLogger` | `org.codehaus.plexus.logging.AbstractLogger#getName(), org.codehaus.plexus.logging.AbstractLogger#debug(java.lang.String), org.codehaus.plexus.logging.AbstractLogger#setThreshold(int), org.codehaus.plexus.logging.AbstractLogger#error(java.lang.String), org.codehaus.plexus.logging.AbstractLogger#isInfoEnabled(), org.codehaus.plexus.logging.AbstractLogger#warn(java.lang.String), org.codehaus.plexus.logging.AbstractLogger#isDebugEnabled(), org.codehaus.plexus.logging.AbstractLogger#isWarnEnabled(), org.codehaus.plexus.logging.AbstractLogger#isErrorEnabled(), org.codehaus.plexus.logging.AbstractLogger#fatalError(java.lang.String), org.codehaus.plexus.logging.AbstractLogger#info(java.lang.String), org.codehaus.plexus.logging.AbstractLogger#isFatalErrorEnabled(), org.codehaus.plexus.logging.AbstractLogger#getThreshold(), org.codehaus.plexus.logging.AbstractLogger#wait(long, int), org.codehaus.plexus.logging.AbstractLogger#wait(long), org.codehaus.plexus.logging.AbstractLogger#wait(), org.codehaus.plexus.logging.AbstractLogger#equals(java.lang.Object), org.codehaus.plexus.logging.AbstractLogger#toString(), org.codehaus.plexus.logging.AbstractLogger#hashCode(), org.codehaus.plexus.logging.AbstractLogger#getClass(), org.codehaus.plexus.logging.AbstractLogger#notify(), org.codehaus.plexus.logging.AbstractLogger#notifyAll(), org.codehaus.plexus.logging.AbstractLogger#debug(java.lang.String, java.lang.Throwable), org.codehaus.plexus.logging.AbstractLogger#error(java.lang.String, java.lang.Throwable), org.codehaus.plexus.logging.AbstractLogger#warn(java.lang.String, java.lang.Throwable), org.codehaus.plexus.logging.AbstractLogger#fatalError(java.lang.String, java.lang.Throwable), org.codehaus.plexus.logging.AbstractLogger#info(java.lang.String, java.lang.Throwable), org.codehaus.plexus.logging.AbstractLogger#getChildLogger(java.lang.String)`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### GrailsConsole grailsConsole

  - ### Constructor Detail

    - #### GrailsConsoleLogger(int threshold)

  - ### Method Detail

    - #### void debug(java.lang.String message, java.lang.Throwable throwable)

    - #### void error(java.lang.String message, java.lang.Throwable throwable)

    - #### void fatalError(java.lang.String message, java.lang.Throwable throwable)

    - #### org.codehaus.plexus.logging.Logger getChildLogger(java.lang.String name)

    - #### void info(java.lang.String message, java.lang.Throwable throwable)

    - #### void warn(java.lang.String message, java.lang.Throwable throwable)